# cert-manager documentation

This is the extended documentation page for cert-manager, containing detailed
specification of API types, user guides, and developer documentation.

It is split into these three sections for easier navigation.

## API types

* [Issuer](api-types/issuer/)
* [Certificate](api-types/certificate/)

## User guides

* [Deploying cert-manager using Helm](user-guides/helm.md)
* [Creating a simple CA based issuer](user-guides/ca-based-issuer.md)
* [Creating cluster wide issuers](user-guides/cluster-issuers.md)
* [Issuing an ACME certificate using HTTP validation](user-guides/acme-http-validation.md)
* [Issuing an ACME certificate using DNS validation](user-guides/acme-dns-validation.md)

## Developer docs

Developer documentation can be found in the `devel/` directory (coming soon).
